aboutsummaryrefslogtreecommitdiffstats
path: root/systemd
diff options
context:
space:
mode:
authorGravatar Christian Hesse <mail@eworm.de>2017-09-22 00:36:39 +0200
committerGravatar Christian Hesse <mail@eworm.de>2017-09-22 00:36:39 +0200
commitf212c9ef2c9479824308b3a5378e508d13020b46 (patch)
treed6e67e5116ff970e9bf159ad5ffc809007ee07fc /systemd
downloadpacman-offline-f212c9ef2c9479824308b3a5378e508d13020b46.tar.gz
pacman-offline-f212c9ef2c9479824308b3a5378e508d13020b46.tar.zst
initial commit
Diffstat (limited to 'systemd')
-rwxr-xr-xsystemd/pacman-offline17
-rw-r--r--systemd/pacman-offline.service14
2 files changed, 31 insertions, 0 deletions
diff --git a/systemd/pacman-offline b/systemd/pacman-offline
new file mode 100755
index 0000000..9764666
--- /dev/null
+++ b/systemd/pacman-offline
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+# verify this is for us or exit gracefully
+if [ "$(readlink '/system-update')" != '/var/cache/pacman/pkg' ]; then
+ exit 0
+fi
+
+# install updates
+pacman -Su --noconfirm
+
+# remove triggering symlink
+rm -f /system-update
+
+# reboot
+systemctl reboot
diff --git a/systemd/pacman-offline.service b/systemd/pacman-offline.service
new file mode 100644
index 0000000..3b698a3
--- /dev/null
+++ b/systemd/pacman-offline.service
@@ -0,0 +1,14 @@
+[Unit]
+Description=Offline system update with pacman
+ConditionPathExists=/system-update
+DefaultDependencies=false
+Requires=sysinit.target dbus.socket
+After=sysinit.target dbus.socket
+Before=shutdown.target system-update.target
+OnFailure=reboot.target
+
+[Service]
+Type=oneshot
+StandardOutput=tty
+StandardError=tty
+ExecStart=/usr/lib/systemd/scripts/pacman-offline